List Protected Registry Package Entitlements
GET
/v1/packages/registry/entitlements
const url = 'https://example.com/v1/packages/registry/entitlements?project_slug=example&package_name=&tenant_id=';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v1/packages/registry/entitlements?project_slug=example&package_name=&tenant_id='Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_slug
required
Project Slug
string
package_name
Package Name
string
tenant_id
Tenant Id
string
Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
PortalRegistryPackageEntitlementListOut
object
project_slug
Project Slug
string
items
Items
Array<object>
PortalRegistryPackageEntitlementItemOutobject
package_name
Package Name
string
package_scope
Package Scope
string
status
Status
string
package_exists
Package Exists
boolean
allowed_actions
Allowed Actions
Array<string>
deny_reasons
Deny Reasons
object
key
additional properties
string
entitlement_snapshot_id
Entitlement Snapshot Id
string
Example
{ "project_slug": "", "items": [ { "package_name": "", "package_scope": "", "status": "unknown", "package_exists": false, "entitlement_snapshot_id": "" } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}